apiVersion: apps/v1
kind: Deployment
metadata:
  name: monitoring-engine
  labels:
    app: monitoring-engine
    tier: api
  namespace: core
spec:
  replicas: 1
  selector:
    matchLabels:
      app: monitoring-engine
      tier: api
  template:
    metadata:
      labels:
        app: monitoring-engine
        tier: api
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - name: monitoring-engine
          image: atospledger/monitoring-engine:latest
          imagePullPolicy: Always
          ports:           
            - containerPort: 4040
          env:
            - name: ME_E2CO_ENDPOINT
              value: "http://localhost:8080" 
            - name: ME_DEFAULT_PROM
              value: "http://localhost:9090"  

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: monitoring-engine
    tier: api
  name: monitoring-engine
  namespace: core
spec:
  ports:
    - name: 8080-tcp
      port: 8080
      protocol: TCP
      targetPort: 4040
      nodePort: 31011
  selector:
    app: monitoring-engine
    tier: api
  sessionAffinity: None
  #type: ClusterIP
  type: NodePort